SSDPResultData.c File Reference

Source file for SSDPResultData methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "SSDPResultData.h"`
Include dependency graph for SSDPResultData.c:

## Data Structures

struct | s_SSDPResultData

## Functions

SSDPResultData * | SSDPResultData_new (void)
void | SSDPResultData_delete (SSDPResultData *q)
int | SSDPResultData_assign (SSDPResultData *p, const SSDPResultData *q)
SSDPResultData * | SSDPResultData_dup (const SSDPResultData *q)
const UpnpDiscovery * | SSDPResultData_get_Param (const SSDPResultData *p)
int | SSDPResultData_set_Param (SSDPResultData *p, const UpnpDiscovery *s)
void * | SSDPResultData_get_Cookie (const SSDPResultData *p)
int | SSDPResultData_set_Cookie (SSDPResultData *p, void *n)
Upnp_FunPtr | SSDPResultData_get_CtrlptCallback (const SSDPResultData *p)
int | SSDPResultData_set_CtrlptCallback (SSDPResultData *p, Upnp_FunPtr n)

## Detailed Description

Source file for SSDPResultData methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## SSDPResultData_assign()

int SSDPResultData_assign | ( | SSDPResultData * | p,
|  | const SSDPResultData * | q )

Assignment operator

References SSDPResultData_get_Cookie(), SSDPResultData_get_CtrlptCallback(), SSDPResultData_get_Param(), SSDPResultData_set_Cookie(), SSDPResultData_set_CtrlptCallback(), and SSDPResultData_set_Param().

Referenced by SSDPResultData_dup().

## SSDPResultData_delete()

void SSDPResultData_delete | ( | SSDPResultData * | p | ) |

Destructor

References UpnpDiscovery_delete().

Referenced by send_search_result(), and ssdp_handle_ctrlpt_msg().

## SSDPResultData_dup()

SSDPResultData * SSDPResultData_dup | ( | const SSDPResultData * | p | ) |

Copy Constructor

References SSDPResultData_assign(), and SSDPResultData_new().

## SSDPResultData_get_Cookie()

void * SSDPResultData_get_Cookie | ( | const SSDPResultData * | p | ) |

SSDPResultData_get_Cookie

Referenced by SSDPResultData_assign().

## SSDPResultData_get_CtrlptCallback()

Upnp_FunPtr SSDPResultData_get_CtrlptCallback | ( | const SSDPResultData * | p | ) |

SSDPResultData_get_CtrlptCallback

Referenced by SSDPResultData_assign().

## SSDPResultData_get_Param()

const UpnpDiscovery * SSDPResultData_get_Param | ( | const SSDPResultData * | p | ) |

SSDPResultData_get_Param

Referenced by SSDPResultData_assign().

## SSDPResultData_new()

SSDPResultData * SSDPResultData_new | ( | void |  | ) |

Constructor

References UpnpDiscovery_new().

Referenced by ssdp_handle_ctrlpt_msg(), and SSDPResultData_dup().

## SSDPResultData_set_Cookie()

int SSDPResultData_set_Cookie | ( | SSDPResultData * | p,
|  | void * | n )

SSDPResultData_set_Cookie

Referenced by ssdp_handle_ctrlpt_msg(), and SSDPResultData_assign().

## SSDPResultData_set_CtrlptCallback()

int SSDPResultData_set_CtrlptCallback | ( | SSDPResultData * | p,
|  | Upnp_FunPtr | n )

SSDPResultData_set_CtrlptCallback

Referenced by ssdp_handle_ctrlpt_msg(), and SSDPResultData_assign().

## SSDPResultData_set_Param()

int SSDPResultData_set_Param | ( | SSDPResultData * | p,
|  | const UpnpDiscovery * | n )

SSDPResultData_set_Param

References UpnpDiscovery_delete(), and UpnpDiscovery_dup().

Referenced by ssdp_handle_ctrlpt_msg(), and SSDPResultData_assign().